import { Tag, Popover } from "antd";
import React from "react";
import Barcode from "react-barcode";
import { useTranslation } from "react-i18next";
export default function BarcodePopupComponent({ value }) {
  const { t } = useTranslation();
  return (
    <div>
      <Popover
        content={
          <Barcode
            value={value}
            background="transparent"
            displayValue={false}
          />
        }
      >
        <Tag>{t("general.labels.barcode")}</Tag>
      </Popover>
    </div>
  );
}
